For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create new receipt on order

Create new receipt on order

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/receipts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
orderItemUidsstring[]Optional
settlementUidsstring[]Optional
orderReceiptUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDReceipt not started. No complete settlements exists.
IN_PROGRESSReceipt is in progress. At least one settlement has been started.
COMPLETEReceipt is complete. Sum of settlements = sum of orderlines.
CANCELEDReceipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
orderReceiptStatestring · enumRequired

Rollup of the receipt's post-settlement tasks (gift card capture, digital product activation, loyalty, receipt printing, etc.).

ENUMDescription
NOT_STARTEDNo post-settlement tasks created yet.
IN_PROGRESSTasks are still running; the receipt is not yet printable.
READYAll critical tasks are done — the receipt is printable; non-critical tasks may still be running.
COMPLETEAll tasks are done.
FAILEDA critical task failed and needs attention.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequiredDeprecated
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receipts
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "orderItemUids": [
    "text"
  ],
  "settlementUids": [
    "text"
  ],
  "orderReceiptUid": "text"
}
201

Example response

{
  "storeUid": "text",
  "orderUid": "text",
  "orderReceiptUid": "text",
  "settleState": "NOT_STARTED",
  "orderReceiptState": "NOT_STARTED",
  "tasks": [
    {
      "taskType": "LOYALTY_POINTS_SYNC",
      "status": "PENDING"
    }
  ],
  "voucherNumber": "text",
  "externalIds": [
    {
      "key": "text",
      "label": "text",
      "value": "text",
      "visibility": "INTERNAL"
    }
  ],
  "sellerDisplayName": "text",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "deliveryState": "NOT_STARTED",
  "grandTotal": 1,
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1,
    "remainingAuthorizedAmount": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text",
          "name": "text",
          "type": "TEXT"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuer": {
        "storeSettlementIssuerUid": "text",
        "name": "text",
        "code": "text"
      },
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "creditCount": 1,
      "creditAmount": 1,
      "paymentCount": 1,
      "paymentAmount": 1,
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "storeUid": "text",
      "storeName": "text",
      "orderReceiptUid": "text",
      "authorizedAmount": 1,
      "capturedAmount": 1,
      "refundedAmount": 1,
      "receiptText": "text",
      "transactions": [
        {
          "transactionType": "text",
          "pspTransactionId": "text",
          "transactionAmount": 1,
          "orderReceiptUid": "text"
        }
      ],
      "allowedActions": [
        "CANCEL"
      ]
    }
  ],
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "externalOrderLinks": [
        {
          "orderId": "text",
          "orderNumber": "text",
          "orderItemId": "text",
          "system": "text",
          "type": "CREDIT"
        }
      ],
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemReference": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "returnReference": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDelivery": "YES",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1,
          "externalId": "text"
        },
        "receivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        },
        "interStorePurchaseOrder": {
          "storeUid": "text",
          "storeName": "text",
          "purchaseOrderUid": "text",
          "purchaseOrderNumber": "text",
          "purchaseOrderItemUid": "text"
        },
        "interStorePurchaseOrderReceivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        }
      },
      "interStoreOrderReservationQuantity": 1,
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ],
      "usesVatMarginScheme": true
    }
  ],
  "address": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "note": "text"
}

Last updated

Was this helpful?